# Get a list of currencies

Returns all currencies supported by Kantata OX, unless filter parameters have been applied.

Endpoint: GET /currencies
Version: 1.0.0

## Query parameters:

  - `addable_to_rate_card_set_version` (integer)
    Filters for currencies that can be added to the rate card associated with the specified
Rate Card Set Version) ID.
If the associated rate card is the account default, all currencies supported by Kantata OX are returned.

If the associated rate card is not set as the account default, results are additionally limited
to currencies on the account default rate card.

  - `matching` (string)
    Filters for currencies that approximately match the specified value. Valid values are [ISO
codes, names, or symbols of currencies supported by Kantata OX](https://mavenlink.zendesk.com/hc/en-us/articles/360041576473).

## Response 200 fields (application/json):

  - `iso_code` (string)
    ISO alphabetic code (for example, USD).

  - `name` (string)
    Name of currency (for example, United States Dollar).

  - `symbol` (string)
    Symbol associated with currency (for example, $).

  - `subunit_to_unit` (integer)
    Number of subunits in one unit for currency.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


